mod Mtexxpr

rem 
  \para \bf  Universal Function for Primitive Recursive Functions.  \end 

rem 
  \para \bf  Arithmetization of primitive recursive function symbols.  \end 

appldisp/0 Tex_f0_xpr_zx
  Id(2,'Z',0)

appldisp/0 Tex_f0_xpr_sx
  Id(2,'S',0)

appldisp/2 Tex_f2_xpr_px
  Prefix(90,2,None,
         Fenced(Id(2,Ent('lang'),0),Infix(Arg(0),30,2,Id(2,',',0),Arg(1)),
                Id(2,Ent('rang'),0)))

appldisp/2 Tex_f2_xpr_ix
  Subsup(Id(2,'I',0),80,Arg(1),Arg(0))

appldisp/4 Tex_f4_xpr_cx
  Prefix(90,0,Subsup(Id(2,'Comp',0),80,Arg(1),Arg(0)),
         Fenced(Id(0,'(',0),Infix(Arg(2),30,2,Id(0,',',0),Arg(3)),Id(0,')',0)))

appldisp/3 Tex_f3_xpr_rx
  Prefix(90,0,Subsup(Id(2,'Rec',0),80,Arg(0),None),
         Fenced(Id(0,'(',0),Infix(Arg(1),30,2,Id(0,',',0),Arg(2)),Id(0,')',0)))

rem 
  \para \bf  Arithmetization of primitive recursive terms.  \end 

appldisp/1 Tex_f1_xpr_vt
  Subsup(Id(2,'x',0),80,Arg(0),Op(Ent('bull'),0))

appldisp/1 Tex_f1_xpr_ct
  Subsup(Arg(0),79,None,Op(Ent('bull'),0))

appldisp/2 Tex_f2_xpr_pt
  Prefix(90,2,None,
         Fenced(Id(2,Ent('lang'),0),Infix(Arg(0),30,2,Id(2,',',0),Arg(1)),
                Id(2,Ent('rang'),0)))

appldisp/2 Tex_f2_xpr_at
  Prefix(90,0,Arg(0),Fenced(Id(2,'(',0),Arg(1),Id(2,')',0)))

appldisp/3 Tex_f3_xpr_den
  Subsup(Fenced(Op(Ent('lobrk'),0),
                Prefix(90,2,Arg(1),
                       Fenced(Id(0,'[',0),
                              Infix(Subsup(Id(0,'x',0),80,Num('1',0),None),30,3,
                                    Id(0,',...,',0),
                                    Subsup(Id(0,'x',0),80,Arg(0),None)),Id(0,']',0))),
                Op(Ent('robrk'),0)),80,Arg(2),None)

rem 
  \para \bf  Universal function.  \end 

appldisp/2 Tex_f2_xpr_interpreter
  Infix(Arg(0),50,0,Op(Ent('bull'),0),Arg(1))

rem 
  \para \bf  Examples of primitive recursive indices.  \end 

appldisp/0 Tex_f0_xpr_xc1_1
  Subsup(Id(2,'C',0),80,Num('1',0),None)

appldisp/0 Tex_f0_xpr_xc1_2
  Subsup(Id(2,'C',0),80,Num('2',0),None)

appldisp/0 Tex_f0_xpr_xc1_3
  Subsup(Id(2,'C',0),80,Num('3',0),None)

appldisp/0 Tex_f0_xpr_xc1_4
  Subsup(Id(2,'C',0),80,Num('4',0),None)

appldisp/0 Tex_f0_xpr_xc1_27
  Subsup(Id(2,'C',0),80,Num('27',0),None)

appldisp/0 Tex_f0_xpr_xc1_256
  Subsup(Id(2,'C',0),80,Num('256',0),None)

appldisp/0 Tex_f0_xpr_xplus
  Id(2,'Plus',0)

appldisp/0 Tex_f0_xpr_xtimes
  Id(2,'Times',0)

appldisp/0 Tex_f0_xpr_xexp
  Id(2,'Exp',0)

appldisp/0 Tex_f0_xpr_xpred
  Id(2,'Pred',0)

appldisp/0 Tex_f0_xpr_xminus
  Id(2,'Minus',0)

appldisp/0 Tex_f0_xpr_xsum
  Id(2,'Sum',0)

appldisp/0 Tex_f0_xpr_xfact
  Id(2,'Fact',0)

appldisp/0 Tex_f0_xpr_xd
  Id(2,'D',0)

appldisp/0 Tex_f0_xpr_xeqf
  Subsup(Id(2,'Eq',0),80,Op('*',0),None)

appldisp/0 Tex_f0_xpr_xnotf
  Subsup(Id(2,'Not',0),80,Op('*',0),None)

appldisp/0 Tex_f0_xpr_xandf
  Subsup(Id(2,'And',0),80,Op('*',0),None)

appldisp/0 Tex_f0_xpr_xlef
  Subsup(Id(2,'Le',0),80,Op('*',0),None)

appldisp/0 Tex_f0_xpr_xltf
  Subsup(Id(2,'Lt',0),80,Op('*',0),None)

appldisp/0 Tex_f0_xpr_xdiv
  Id(2,'Div',0)

appldisp/0 Tex_f0_xpr_xmod
  Id(2,'Mod',0)

appldisp/0 Tex_f0_xpr_xpair
  Id(2,'Pair',0)

appldisp/0 Tex_f0_xpr_xg
  Id(2,'g',0)

appldisp/0 Tex_f0_xpr_xself
  Id(2,'Self-reproducing machine',0)

rem 
  \para \bf  Operations on primitive recursive indices.  \end 

appldisp/1 Tex_f1_xpr_xc1
  Subsup(Id(2,'C',0),80,Arg(0),None)

appldisp/2 Tex_f2_xpr_xc2
  Subsup(Id(2,'C',0),80,Arg(1),Arg(0))

appldisp/2 Tex_f2_xpr_xedf
  Infix(Subsup(Id(2,Ent('lambda'),0),80,Arg(0),None),30,0,Id(2,'.',0),Arg(1))

appldisp/1 Tex_f1_xpr_xiter
  Prefix(90,2,Id(2,'Iter',0),Arg(0))

appldisp/2 Tex_f2_xpr_xrec0
  Prefix(90,0,Id(2,'Rec0',0),
         Fenced(Id(0,'(',0),Infix(Arg(0),30,2,Id(0,',',0),Arg(1)),Id(0,')',0)))

appldisp/2 Tex_f2_xpr_xmin
  Prefix(90,0,Id(2,'Min',0),
         Fenced(Id(0,'(',0),Infix(Arg(0),30,2,Id(0,',',0),Arg(1)),Id(0,')',0)))

appldisp/2 Tex_f2_xpr_xparam
  Infix(Arg(0),30,0,Id(2,'/',0),Arg(1))

appldisp/3 Tex_f3_xpr_xsmn_2_3
  Prefix(90,2,Subsup(Id(0,'s',0),80,Num('3',0),Num('2',0)),
         Fenced(Id(0,'(',0),
                Infix(Arg(0),30,2,Id(0,',',0),Infix(Arg(1),30,2,Id(0,',',0),Arg(2))),
                Id(0,')',0)))

appldisp/1 Tex_f1_xpr_xdiag
  Prefix(90,2,Id(2,'Diag',0),Arg(0))

appldisp/1 Tex_f0_xpr_xcantor
  Prefix(90,2,Id(2,'Cantor',0),Arg(0))

